Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1746172 - Unrelated volumes could be counted by volume counting predicates [NEEDINFO]
Summary: Unrelated volumes could be counted by volume counting predicates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.2.0
Assignee: Hemant Kumar
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-27 20:24 UTC by Hemant Kumar
Modified: 2019-10-16 06:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-16 06:38:11 UTC
Target Upstream Version:
piqin: needinfo? (hekumar)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 23682 0 None None None 2019-08-28 20:39:39 UTC
Red Hat Product Errata RHBA-2019:2922 0 None None None 2019-10-16 06:38:24 UTC

Description Hemant Kumar 2019-08-27 20:24:13 UTC
Older predicates can incorrectly count volumes that are not bound yet (for delayed binding)

https://github.com/kubernetes/kubernetes/issues/80352

Comment 2 Hemant Kumar 2019-08-28 13:46:37 UTC
Fix openshift-  https://github.com/openshift/origin/pull/23682

Comment 9 Qin Ping 2019-09-06 04:36:48 UTC
verified with: 4.2.0-0.nightly-2019-09-05-234433

Comment 10 errata-xmlrpc 2019-10-16 06:38:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.